RDKit::MolStandardize::MolVSValidations Class Referenceabstract

MolVS Validations. More...

`#include <Validate.h>`

Inheritance diagram for RDKit::MolStandardize::MolVSValidations:

## Public Member Functions

virtual void | run (const ROMol &mol, bool reportAllFailures, std::vector< ValidationErrorInfo > &errors) const =0
virtual boost::shared_ptr< MolVSValidations > | copy () const =0

## Detailed Description

MolVS Validations.

The MolVSValidations class includes most of the same validations as molvs.validations, namely NoAtomValidation, FragmentValidation, NeutralValidation, IsotopeValidation. MolVS also has IsNoneValidation and DichloroethaneValidation but these were not included here (yet).

Definition at line 82 of file Validate.h.

## Member Function Documentation

## copy()

virtual boost::shared_ptr<MolVSValidations> RDKit::MolStandardize::MolVSValidations::copy | ( |  | ) | const

pure virtual

Implemented in RDKit::MolStandardize::IsotopeValidation, RDKit::MolStandardize::NeutralValidation, RDKit::MolStandardize::FragmentValidation, and RDKit::MolStandardize::NoAtomValidation.

## run()

virtual void RDKit::MolStandardize::MolVSValidations::run | ( | const ROMol & | mol,
|  | bool | reportAllFailures,
|  | std::vector< ValidationErrorInfo > & | errors
| ) |  | const

pure virtual

Implemented in RDKit::MolStandardize::IsotopeValidation, RDKit::MolStandardize::NeutralValidation, RDKit::MolStandardize::FragmentValidation, and RDKit::MolStandardize::NoAtomValidation.

The documentation for this class was generated from the following file:

- Validate.h